%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:           jboss-jacc-1.4-api
Version:        1.0.2
Release:        %mkrel 14
Group:          Development/Java
Summary:        JBoss JACC 1.4 API
License:        CDDL or GPLv2 with exceptions
URL:            http://www.jboss.org

# git clone git://github.com/jboss/jboss-jacc-api_spec.git jboss-jacc-1.4-api
# cd jboss-jacc-1.4-api/ && git archive --format=tar --prefix=jboss-jacc-1.4-api/ jboss-jacc-api_1.4_spec-1.0.2.Final | xz > jboss-jacc-1.4-api-1.0.2.Final.tar.xz

Source0:        %{name}-%{namedversion}.tar.xz

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.jboss:jboss-parent:pom:)
BuildRequires:  mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec)

BuildArch:      noarch

%description
JBoss Java Authorization Contract for Containers 1.4 API.

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}

%mvn_file : %{name}/%{name} %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README LICENSE

%files javadoc -f .mfiles-javadoc
%doc LICENSE README



%changelog
* Tue Feb 11 2020 umeabot <umeabot> 1.0.2-14.mga8
+ Revision: 1490834
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.0.2-13.mga7
+ Revision: 1262434
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.2-11.mga6
+ Revision: 976530
- First rebuild of the java stack
- sync package jboss-jacc-1.4-api with fedora
- imported package jboss-jacc-1.4-api

* Wed Jan 14 2015 pterjan <pterjan> 1.0.2-7.mga5
+ Revision: 810588
- Update file list

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-6.mga5
+ Revision: 743628
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 dmorgan <dmorgan> 1.0.2-4.mga4
+ Revision: 559755
- Build with maven-local
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 355001
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 dmorgan <dmorgan> 1.0.2-1.mga3
+ Revision: 341448
- New version

* Fri Aug 12 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 132753
- Fix buildrequires
- Fix buildrequires
+ gil <gil>
- imported package jboss-jacc-1.4-api


* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 19 2015 Michal Srb <msrb@redhat.com> - 1.0.2-9
- Fix FTBFS (Resolves: rhbz#1106872)
- Adapt to current packaging guidelines

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.0.2-7
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0.2-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Aug 6 2012 Ricardo Arguello <ricardo@fedoraproject.org> 1.0.2-3
- Added BR: maven-enforcer-plugin

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Apr 04 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.2-1
- Upstream release 1.0.2.Final
- Fixed R and BR

* Tue Apr 3 2012 Ricardo Arguello <ricardo@fedoraproject.org> 1.0.2-0.2.20120310git7976d2
- Removed jboss-specs-parent as a runtime requirement
- Removed duplicated jboss-servlet-3.0-api as a build requirement

* Sat Mar 10 2012 Ricardo Arguello <ricardo@fedoraproject.org> 1.0.2-0.1.20120310git7976d2
- Packaging after license cleanup upstream

* Thu Mar 8 2012 Ricardo Arguello <ricardo@fedoraproject.org> 1.0.1-2
- Cleanup of the spec file

* Mon Nov 21 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.1-1
- Initial packaging
